package threads;
public class Gehalt2Bank extends Thread {
	private String kontoNummer;
	private Bank bank;
	private String orgCode;
	private int betrag;

	public Gehalt2Bank(Bank bank, String orgCode, String kontoNummer, int betrag) {
		super("Gehalt2Bank: " + orgCode);
		this.bank = bank;
		this.orgCode = orgCode;
		this.betrag = betrag;
		this.kontoNummer = kontoNummer;
	}

	public void run() {
		System.out.println("GEHALT2BANK : Die Abteilung " + this.orgCode + " hat die " + bank.getName() + " beauftragt auf das Konto " + kontoNummer + " einen Betrag von : " + betrag + " Euro zu berweisen");
		bank.einzahlen(kontoNummer, betrag);
	}
}